# app.py
# from module-name import identificadores (objetos, tipos de dados, funções)
from flask import Flask, render_template, request

# app representa a Web app (um objeto capaz de responder a pedidos de HTTP)
app = Flask(__name__)

@app.route(
    rule='/',
    methods=["GET", "POST"]
)
# "View function - function q responde a um caminho solicitado"
def responder_a_pedidos_que_cheguem_a_raiz():
    return "Hello!"
# def responder_a_pedidos_que_cheguem_a_raiz

@app.route(
    rule="/h/<p_nome>",
    methods=["GET"]
)
def dizer_ola_no_caminho_h(p_nome):
    # return "Hello "+p_nome
    return f"Hello {p_nome}"
# def dizer_ola_no_caminho_h

app.run(
    debug=True,
    port=5005
)


"""
multi-line
"""
